function skill1212()
		if map.GetCurrentMapID()==2041 then
			if l<=12 then
				player.AddStat(1,0,100,29,3)--即死
				return
			end
		end

--if atktype==4 then
if flag.GetBattleValue(16012)==1 then
player.AddStat(1,0,100,29,1)

else
		players = {}               
		i=1
		for p=0,9,1 do
			pid=2^p
			if player.IsPlayerInBattle(pid)==1 and player.GetHP(pid,0)~=0 then
				players[i]=pid
				i=i+1
			end
		end 
		j=#players
		if j>1 then
			for x=1,j,1 do
				id=players[x]
					a = battle.GetRndNumber(1,9)
					if a==1 then
						player.AddStat(0,id,100,9,3)--污浊
					elseif a==2 then
						player.AddStat(0,id,100,6,3)--异变
					elseif a==3 then
						player.AddStat(0,id,100,2,3)--混乱
					elseif a==4 then
						player.AddStat(0,id,100,1,3)--中毒
					elseif a==5 then
						player.AddStat(0,id,100,4,3)--沉默
					elseif a==6 then
						player.AddStat(0,id,100,0,3)--冻结
					elseif a==7 then
						player.AddStat(0,id,100,3,3)--脱力
					elseif a==8 then
						player.AddStat(0,id,100,8,3)--消极
					elseif a==9 then
						player.AddStat(0,id,100,7,3)--麻痹
					end
			end
		else
			id=players[1]
					a = battle.GetRndNumber(1,9)
					if a==1 then
						player.AddStat(0,id,100,9,3)--污浊
					elseif a==2 then
						player.AddStat(0,id,100,6,3)--异变
					elseif a==3 then
						player.AddStat(0,id,100,2,3)--混乱
					elseif a==4 then
						player.AddStat(0,id,100,1,3)--中毒
					elseif a==5 then
						player.AddStat(0,id,100,4,3)--沉默
					elseif a==6 then
						player.AddStat(0,id,100,0,3)--冻结
					elseif a==7 then
						player.AddStat(0,id,100,3,3)--脱力
					elseif a==8 then
						player.AddStat(0,id,100,8,3)--消极
					elseif a==9 then
						player.AddStat(0,id,100,7,3)--麻痹
					end
		end

end	
		
end